﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Threading;
using ThinkGeo.MapSuite.Core;

namespace ThinkgeoShapeFileCulture
{
    internal class Program
    {
        public static void Main(string[] args)
        {
            var currentUiCulture = new CultureInfo("en-GB");
            Thread.CurrentThread.CurrentCulture = currentUiCulture;
            Thread.CurrentThread.CurrentUICulture = currentUiCulture;
            var isoLineBreaksOrUpperValues = new List<double>
            {
                30,
                60,
                90,
                120,
                150,
                180
            };

            var gridFeatureSource = new GridFeatureSource(@"grid\2.grid");
            
            gridFeatureSource.Open();
            Collection<Feature> isoFeatures = IsoLineLayer.GetIsoFeatures(gridFeatureSource.GenerateGridMatrix(),
                isoLineBreaksOrUpperValues, "GridCellValue",
                IsoLineType.ClosedLinesAsPolygons);
            Console.WriteLine(isoFeatures.Count);
            Console.ReadKey();
        }
    }
}